@import url('https://fonts.googleapis.com/css2?family=Plus+Jakarta+Sans:wght@300;400;500;600;700;800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Kalam&display=swap');

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box !important;
    scroll-behavior: smooth;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -webkit-text-size-adjust: none;
    font-family: 'Plus Jakarta Sans', sans-serif;
    -webkit-tap-highlight-color: transparent;
}

:root {
    --white: #ffffff;
    /* prc = Primary Color, i = 1, l = Light color */
    --prc-i: #308e45;
    --prc-ia: #268039;
    --prc-i-l: #FAE01A;
    --prc-ii: #FFB300;
    --purple: #8C30F5;
    --txt-black: #1F3545;
    --brd-btm-clr: #E6E6E6;
    --main-black: #282829;
    --dark-gray: #C4C4C4;
    --light-gray: #E5E5E5;
    --light-gray: #ececec;
    --dark-blue: #213951;
    --gray-made-color: #969696;
    --ft-text-gray: #E0E0E0;
    --hover-highlight: #dc816e;
    --page-bg-color: #f6f7f7;
    --success-green: #26ad26;
    --btn-bg-green: #17ad77;
    --btn-bg-green2: #19a170;
    --max-page-width: 1300px;

}

/* @media screen and (max-width:650px) {
    :root {}
} */

html {
    font-size: 1rem !important;
    line-height: 1.6rem !important;
    scroll-behavior: smooth;
    background-color: #f3f4f7;
    background-color: #FDFDFD;
}

/* Style scrollbar for Chrome, Safari and Opera */
*::-webkit-scrollbar {
    /* display: none; */
    border-radius: 10px;
    width: 6px;
    height: 10px;
    background-color: var(--prc-i-l);
}

*::-webkit-scrollbar-thumb {
    border-radius: 10px;
    width: 6px;
    background-color: #00B8FE;
}

/* scroll bar design for firefox */
* {
    scrollbar-width: thin;
    scrollbar-color: var(--prc-i-l) var(--prc-i);
}

/* Hide scrollbar for IE, Edge and Firefox */
/* * { */
/* IE and Edge */
/* -ms-overflow-style: none; */
/* Firefox */
/* scrollbar-width: none; */
/* } */


/* Prevent Auto-fill background color on input */
input:-webkit-autofill,
input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 30px white inset !important;
    box-shadow: 0 0 0 30px white inset !important;
}

textarea:-webkit-autofill,
textarea:-webkit-autofill:hover,
textarea:-webkit-autofill:focus,
textarea:-webkit-autofill:active {
    -webkit-box-shadow: 0 0 0 100px white inset !important;
    box-shadow: 0 0 0 100px white inset !important;
}

a {
    text-decoration: none;
    color: inherit;
    display: inline-block;
}

.flex_cc {
    display: flex;
    justify-content: center;
    align-items: center;
}

.flex_sc {
    display: flex;
    justify-content: start;
    align-items: center;
}

.flex_sbc {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.inline_flex_cc {
    display: inline-flex;
    justify-content: center;
    align-items: center;
}

.flex_ccc {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.flex_wrap {
    display: flex;
    flex-wrap: wrap;
}

.fw_col_2 {
    flex: 0 0 49%;
    max-width: 49% !important;
}

.flex_30 {
    flex: 1 1 30%;
    padding: 1%;
}

.flex_40 {
    flex: 1 1 40%;
    padding: 1%;
}

.flex_60 {
    flex: 1 1 60%;
    padding: 1%;
}

.flex_70 {
    flex: 1 1 70%;
    padding: 1%;
}

.gap_10 {
    gap: 10px;
}

.grid_cc {
    display: grid;
    place-items: center;
}

.hr_ {
    background-color: #ffeae5;
    height: 1px;
    width: 100%;
}

/* Create Grid Like structure 
with flexbox for more browser support */
.flex_grid {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}

.flex_grid_item {
    flex: 0 0 auto;
    width: 100%;
    height: auto;
    padding: 4px;
}

.in_blk {
    display: inline-block;
}

/* Color Variables clasess */
.green_btn {
    color: var(--btn-bg-green2) !important;
}

ul {
    list-style-type: none;
}

/* ---------------------------------------------------------------- */

/* Text Styles */
.txt_ellipsis {
    display: inline-block;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
}

/* ---------------------------------------------------------------- */

/* Page Scrolling Animation library */

*[data-scroll="in"] {
    opacity: 1;
    /* transform: scale(1, 1); */
    transform: translateY(0px);
    transition: transform 1s, opacity 1s;
}


*[data-scroll="out"] {
    opacity: 0;
    /* transform: scale(0.3, 0.3); */
    transform: translateY(100px);
}



/* ---------------------------------------------------------------- */

/* Scroll Container */
.scroll_container_s1 {
    width: 100%;
    display: flex;
    justify-content: flex-start;
    align-items: flex-start;
    overflow: auto;
    scroll-behavior: smooth;
}

.scroll_container_s1::-webkit-scrollbar {
    /* display: none; */
}

@media screen and (max-width: 650px) {
    .scroll_container_s1::-webkit-scrollbar {
        display: none;
    }
}

.scroll_item {
    flex: 0 0 70%;
    height: fit-content;
    max-width: 500px;
    box-shadow: 0px -2px 15px 0px rgba(0, 0, 0, 0.10);
    background-color: var(--white);
    position: relative;
    border-radius: 12px;
    overflow: hidden;
    margin: 10px;
}

/* put 
" flex: 0 0 auto; "
this on child elements
*/

/* ---------------------------------------------------------------- */

/* Each Standard section of every page */
.pg_sect {
    padding: 35px 20px;
    width: 100%;
    margin: 0 auto;
    display: flex;
    align-items: center;
    flex-direction: column;
}

/* ---------------------------------------------------------------- */

/* List Items Style Standard */

/* Each Standard Item List (Type 1: Flex wrap type) */
ul.type1 {
    width: 100%;
    margin: 50px 0px;
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    list-style: none;
}



li.type1 {
    border: 1px solid var(--brd-btm-clr);
    border-radius: 8px;
    overflow: hidden;
    flex: 1 0 32%;
}

li.type1.col_4 {
    flex: 1 0 20%;
}

li.type1 a {
    width: 100%;
    display: block;
}

.item_img_dv {
    border-radius: 8px 8px 0 0;
    /* background-color: #A0DCFF; */
    overflow: hidden;
}

li.type1 .main_img {
    width: 100%;
    object-fit: contain;
    object-position: center;
}

.item_desc_dv {
    padding: 10px;
    padding-bottom: 0;
}

.item_desc_dv h3 {
    font-size: 16px;
    text-transform: uppercase;
}

.item_desc_dv p {
    font-size: 14px;
    margin: 10px 0;
    color: #525151;
}

/* Item Cost (If any) */
.item_data_dv {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px;
    border-top: 1px solid var(--brd-btm-clr);
    /* border-bottom: 1px solid var(--brd-btm-clr); */
    gap: 10px;
}

.item_data_dv .set1 {
    font-weight: 600;
}

.item_data_dv .price_before {
    color: var(--gray-made-color);
    text-decoration: line-through;
    margin-left: 10px;
}

.item_sm_detaiils_dv {
    margin-top: 15px;
    font-size: 14px;
    color: var(--gray-made-color);
}

/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */
ol.item {
    width: 100%;
    overflow: hidden;
    scroll-behavior: smooth;
    display: flex;
    flex-wrap: wrap;
    /* align-items: center; */
    justify-content: flex-start;
}

ol li.item {
    flex: 0 0 auto;
    width: 25%;
    height: auto;
    padding: 10px;
    position: relative;
    overflow: hidden;
    background-color: #ffffff;
    /* border: 1px solid #ececec; */
    /* border-right: 1px solid #ececec; */
    transition: box-shadow 0.2s ease;
}

ol li.item a {
    width: 100%;
    height: 100%;
    display: block;
    border: 1px solid #ececec;
}

ol li.item h3 {
    text-align: center;
}

@media screen and (max-width: 1150px) {
    ol li.item {
        width: 25%;
        padding: 8px;
    }
}

@media screen and (max-width: 850px) {
    ol li.item {
        padding: 6px;
        /* border-right: none; */
        width: 33.33%;
        border-radius: 0px;
    }
}

@media screen and (max-width: 550px) {
    ol li.item {
        padding: 3px;
        /* border-right: none; */
        width: 50%;
    }
}

/* ---------------------------------------------------------------- */
/* ---------------------------------------------------------------- */


/* All Headings */
.heading {
    font-weight: 500;
    font-style: normal;
    color: var(--main-black);
    font-family: 'Kalam', cursive;
}

/* Section Headings */
.sect_heds h2 {
    font-size: 2rem;
    line-height: 2rem;
    font-weight: 800;
    text-align: center;
    /* color: var(--prc-i); */
    font-family: 'Kalam', cursive;
    /* text-decoration: underline; */
    /* text-transform: uppercase; */


    /* background: linear-gradient(180deg, var(--prc-i) 0%, var(--prc-i) 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
    text-fill-color: transparent;
    border-bottom: 3px solid var(--prc-i); */
}

.sect_heds p {
    font-size: 1rem;
    opacity: 0.9;
    margin-top: 10px;
    text-align: center;
}

.sect_body {
    margin: 20px auto;
}

.sect_expand_btn {
    background-color: transparent;
    color: var(--prc-i);
    border: 1px solid var(--prc-i);
    font-size: 1em;
    font-weight: 600;
    text-align: center;
    padding: 8px 25px;
    border-radius: 25px;
    transition: transform 0.5s ease;
}

.sect_expand_btn.pry {
    background-color: var(--prc-i);
    background: linear-gradient(88.79deg, var(--prc-i) 4.73%, var(--prc-ia) 103.66%);
    color: white;
    font-size: 1em;
    font-weight: 600;
    text-align: center;
    padding: 8px 25px;
    border-radius: 25px;
}

.sect_expand_btn:hover {
    transform: translateX(50px);
}

/* ---------------------------------------------------------------- */

/* Buttons */
.btn {
    border: none;
    outline: none;
    background-color: transparent;
    cursor: pointer;
}

/* Primary BTN Design */
.btn_pry {
    background-color: var(--prc-i);
    background: linear-gradient(88.79deg, var(--prc-i) 4.73%, var(--purple) 103.66%);
    color: white;
    font-size: 1em;
    font-weight: 600;
    text-align: center;
    padding: 8px 18px;
    border-radius: 6px;
}

.btn_pry_sm {
    font-size: 0.9rem;
    padding: 6px 16px;
    font-weight: 500;
}

.btn_2ndry {
    border: 1px solid #0F60DA;
    background: #ffffff;
    color: #0F60DA;
}

/* ---------------------------------------------------------------- */

/* Background Image */
.bg_img {
    background-position: center;
    background-clip: border-box;
    background-size: cover;
    background-repeat: no-repeat;
}

/* ---------------------------------------------------------------- */



/* ---------------------------------------------------------------- */

/* Image */
img {
    width: 100%;
    display: block;
    object-fit: cover;
    object-position: center;
    transition: transform 0.4s ease;
}

.img_type1:hover {
    transform: scale(1.3);
}

.img_type2:hover {
    transform: translateY(-15px);
}

/* @media screen and (max-width: 650px) {} */

/* / Image */



/* ---------------------------- Forms  ------------------------------------ */

/* Forms  */

/* Remove Default from input fields */

/* Chrome, Safari, Edge, Opera */
input[type=number]::-webkit-outer-spin-button,
input[type=number]::-webkit-inner-spin-button {
    -webkit-appearance: none;
    appearance: none;
    margin: 0;
}

/* Firefox */
input[type=number] {
    -moz-appearance: textfield;
}

/* ---------------------------------------- */

/* input:-webkit-autofill {
    -webkit-text-fill-color: yellow !important;
} */

/* Remove Default from input fields */

/* ---------------------------------------- */

form {
    width: 100%;
    max-width: var(--max-page-width);
    padding: 0 15px;
    margin: auto;
}

.form_dv {
    margin: 5vh auto;
}

.form_dv h1 {
    font-size: 1.5rem;
    text-align: center;
    margin-bottom: 30px;
}

/* ---------------------------------------- */



.form_input_wrapper {
    position: relative;
    width: 100%;
    margin-bottom: 12px;
}

.form_field {
    display: block;
    padding: 5px 12px;
    margin-top: 5px;
    border-radius: 6px;
    border: 1px solid #d4d6d8;
    outline: none;
    width: 100%;
    line-height: normal;
    min-height: 48px;
    color: var(--dark-blue);
    appearance: none;
    -webkit-appearance: none;
    resize: none;
    font-size: 1rem;
    box-shadow: 0 1px rgb(212 214 216 / 25%) inset;
    transition: border-color .2s ease-in-out,
        box-shadow .2s ease-in-out,
        color .2s ease-in-out;
    /* font-weight: 500; */
}

.form_field:focus {
    border: 2px solid #09BD87;
}

.input_dv {
    padding: 10px 0;
    font-size: 14px;
    width: 100%;
    border-bottom: 1px solid lavender;
}

.submit_btn {
    width: 100%;
    padding: 12px;
    border-radius: 6px;
    background-color: #09BD87;
    background: linear-gradient(180deg, #09BD87 0%, #0BA407 100%);
    color: white;
    font-weight: 500;
    font-size: 1.1rem;
}

.input_dv .note {
    font-size: 0.8rem;
    font-weight: 700;
    color: #8d9397;
    padding: 2px 5px;
    margin-top: 2px;
}

/* Password Show/Hide btn */
.show_password {
    /* height: 70%; */
    width: 45px;
    position: absolute;
    top: 8px;
    right: 0;
    font-size: 24px;
    color: #9a9b9c;
}

.show_password > .icon-hide {
    color: var(--dark-blue);
}

.primary_btn {
    background-color: var(--primary-color);
    color: var(--white);
    border-radius: 6px;
    padding: 0px 30px;
    font-weight: 500;
    font-size: 16px;
    transition: opacity 0.3s;
}

.primary_btn:hover {
    opacity: 0.8;
}

.form_submit,
.popover_btn {
    width: 100%;
    height: 46px;
    margin-top: 20px;
}

/* -------------------------------------------------------------------- */
/* Input Floating icons (Like:- Dropdown Icon) */
.input_floating_icon {
    height: 70%;
    width: 45px;
    position: absolute;
    top: 7px;
    right: 0;
    font-size: 24px;
    color: #9a9b9c;
}

/* -------------------------------------------------------------------- */
/* Dropdown icon in select tag (Custom dropdown icon in Label)*/

.custom_dropdown_icon::after {
    content: '\e85a';
    font-family: "inluke-icons-1";
    font-size: 22px;
    color: #9a9b9c;
    background-color: transparent;
    pointer-events: none;
    position: absolute;
    top: 12px;
    right: 15px;
}

optgroup {
    font-weight: 500;
}

/* / Forms  */

/* ---------------------------------------------------------------- */





/* ---------------------------------------------------------------- */
/* General Styles for all pages */

/* Max page width : 
just add this class to elements to set max their 
width to max page width :1300px in this case*/
.mx_pg_wd {
    max-width: var(--max-page-width);
    width: 100%;
}

/* Border bottom line of every section ending */
.btm_hr {
    border-bottom: 1px solid #E5E9F2;
}

/* Main Section of every page */
.main {
    color: var(--txt-black);
    margin: auto;
    /* max-width: 500px; */
}

/* --------------------------- Others ------------------------------------- */
/* For all other elements */
.hide {
    display: none;
}